Bug 741106 - gpk-update-viewer CRASCH
Summary: gpk-update-viewer CRASCH
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-25 11:51 UTC by alex
Modified: 2012-08-07 16:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:19:41 UTC


Attachments (Terms of Use)

Description alex 2011-09-25 11:51:09 UTC
Description of problem:

Running a gpk-applcation session i receive a blank window for
all sub-type packages and/or class of packages.

tryng to run from shell ,as su, return this message:

gpk-application:3714): Gtk-WARNING **: Cannot connect attribute `text' for cell renderer class `GtkCellRendererText' since `text' is already attributed to column 1

Version-Release number of selected component (if applicable):Fedora 15 X86-64


How reproducible:


Steps to Reproduce:
1.run gpk-application
2.select a package class
3.no output in window
  
Actual results:


Expected results:


Additional info:suspect an selinuk incorrect policy , but yum , at SU shell command line , is working ;

Comment 1 alex 2011-10-14 17:30:52 UTC
$gpk-update-viewer
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::connected
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::backend-description
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::version-major
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::groups
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::backend-author
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::backend-name
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::version-micro
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::roles
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::mime-types
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::filters
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::version-minor
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::network-state
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::distro-id
(gpk-update-viewer:2863): PackageKit-DEBUG: role now get-updates
(gpk-update-viewer:2863): PackageKit-DEBUG: role now get-distro-upgrades
(gpk-update-viewer:2863): PackageKit-DEBUG: notify::connected
(gpk-update-viewer:2863): PackageKit-DEBUG: not disconnecting as never connected
(gpk-update-viewer:2863): PackageKit-DEBUG: not disconnecting as never connected

Comment 2 alex 2011-10-14 17:56:07 UTC
yum (as su-) is working fine (so gpk-update is at his latest version).

Comment 3 Donald Cohen 2011-10-31 17:01:08 UTC
I don't know whether this is the same problem, but in FC16 I have sometimes done software update and walked away from the computer, then come back to find
- blank windows seemingly trying to notify me of something
- gpk-update-view taking 100% of cpu
So far I've not managed to figure out anything to do other than kill it.

Comment 4 Fedora End Of Life 2012-08-07 16:19:44 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.